# class Chef::VersionConstraint

### Constants

DEFAULT_CONSTRAINT
OPS
PATTERN
STANDARD_OPS
VERSION_CLASS

### Attributes

op[R]
version[R]

### Public Class Methods

new(constraint_spec=DEFAULT_CONSTRAINT) click to toggle source

    # File lib/chef/version_constraint.rb, line 29
    def initialize(constraint_spec=DEFAULT_CONSTRAINT)
      case constraint_spec
      when nil
        parse(DEFAULT_CONSTRAINT)
      when Array
        parse_from_array(constraint_spec)
      when String
        parse(constraint_spec)
      else
        msg = "VersionConstraint should be created from a String. You gave: #{constraint_spec.inspect}"
        raise Chef::Exceptions::InvalidVersionConstraint, msg
      end
    end

### Public Instance Methods

==(o)
Alias for: eql?
eql?(o) click to toggle source

    # File lib/chef/version_constraint.rb, line 60
    def eql?(o)
      o.class == self.class && @op == o.op && @version == o.version
    end

Also aliased as: ==
include?(v) click to toggle source

    # File lib/chef/version_constraint.rb, line 43
    def include?(v)
      version = if v.respond_to? :version # a CookbookVersion-like object
                  self.class::VERSION_CLASS.new(v.version.to_s)
                else
                  self.class::VERSION_CLASS.new(v.to_s)
                end
     do_op(version)
    end

inspect() click to toggle source

    # File lib/chef/version_constraint.rb, line 52
    def inspect
      "(#{@op} #{@version})"
    end

to_s() click to toggle source

    # File lib/chef/version_constraint.rb, line 56
    def to_s
      "#{@op} #{@version}"
    end